package roseindia;

import org.hibernate.HibernateException;
import org.hibernate.Query;
import org.hibernate.Session;
import roseindia.util.HibernateUtil;

public class CriteriaDeleteexample {

	public static void main(String[] args) {

		Session session = HibernateUtil.getSessionFactory().openSession();

		try {
			String hql = "delete from User where UserName = :name";
			Query query = session.createQuery(hql);
			query.setString("name", "User 9");
			int rowCount = query.executeUpdate();
			System.out.println("Rows affected: " + rowCount);

		} catch (HibernateException e) {

			e.printStackTrace();
		} finally {
			session.close();
		}

	}

}
