package roseindia;

import java.util.Date;
import java.util.Iterator;
import java.util.List;
import org.hibernate.Criteria;
import org.hibernate.HibernateException;
import org.hibernate.Session;
import org.hibernate.criterion.Restrictions;
import roseindia.bean.User;
import roseindia.util.HibernateUtil;

public class CriteriaForDate {

	public static void main(String[] args) {

		Session session = HibernateUtil.getSessionFactory().openSession();

		User user = null;

		try {
			// Creating a Criteria instance
			Criteria crit = session.createCriteria(User.class);
			crit.setMaxResults(5);
			crit.add(Restrictions.ge("UserDOB", new Date()));

			List list = crit.list();
			Iterator itr = list.iterator();
			while (itr.hasNext()) {
				user = (User) itr.next();
				System.out.println("UserId: " + user.getUserId());
				System.out.printf("\t");
				System.out.println("UserName: " + user.getUserName());
				System.out.printf("\t");
				System.out.println("UserAddr: " + user.getUserAddr());
				System.out.printf("\t");
				System.out.println("ExpInMonth: " + user.getExpInMonth());

			}

		} catch (HibernateException e) {

			e.printStackTrace();
		} finally {
			session.close();
		}

	}

}
