package roseindia;

import java.util.Date;
import java.text.DateFormat;
import java.text.SimpleDateFormat;
import java.util.Iterator;
import java.util.List;
import org.hibernate.Criteria;
import org.hibernate.Session;
import org.hibernate.criterion.Restrictions;
import roseindia.bean.User;
import roseindia.util.HibernateUtil;

public class CriteriaDateBetween {

	public static void main(String[] args) {

		Session session = HibernateUtil.getSessionFactory().openSession();

		User user = null;

		try {
			// Creating a Criteria instance
			Criteria crit = session.createCriteria(User.class);
			DateFormat format = new SimpleDateFormat("yyyy-MM-dd hh:mm:ss");
			Date d1 = (Date) format.parse("2011-04-11 15:21:26");
			Date d2 = (Date) format.parse("2011-04-16 15:21:26");
			crit.setMaxResults(10);
			crit.add(Restrictions.like("UserName", "User%"));
			crit.add(Restrictions.between("UserDOB", d1, d2));
			List list = crit.list();
			Iterator itr = list.iterator();
			while (itr.hasNext()) {
				user = (User) itr.next();
				System.out.println("UserId: " + user.getUserId());
				System.out.printf("\t");
				System.out.println("UserName: " + user.getUserName());
				System.out.printf("\t");
				System.out.println("UserAddr: " + user.getUserAddr());
				System.out.printf("\t");
				System.out.println("ExpInMonth: " + user.getExpInMonth());

			}

		} catch (Exception e) {

			e.printStackTrace();
		} finally {
			session.close();
		}

	}

}
